.mega-variant-hidden {
  display: none !important;
}

/* Change Bootstrap navbar collapse breakpoint to 1023px */
@media (max-width: 1023px) {
  .navbar-toggle {
    float: right;
  }

  .navbar-header {
    float: none;
  }

  .navbar-toggle {
    display: block;
  }

  .navbar-collapse {
    border-top: 1px solid transparent;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.1);
  }

  .navbar-collapse.collapse {
    display: none !important;
  }

  .navbar-collapse.in {
    display: block !important;
    overflow-y: auto !important;
  }

  .navbar-nav {
    float: none !important;
    margin: 7.5px -15px;
  }

  .navbar-nav>li {
    float: none;
  }

  .navbar-nav>li>a {
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .navbar-nav .open .dropdown-menu {
    position: static;
    float: none;
    width: auto;
    margin-top: 0;
    background-color: transparent;
    border: 0;
    box-shadow: none;
  }

  .navbar-nav .open .dropdown-menu>li>a {
    padding: 5px 15px 5px 25px;
  }

  .navbar-nav .open .dropdown-menu .dropdown-header {
    padding: 5px 15px 5px 25px;
  }

  .navbar-nav .open .dropdown-menu>li>a:hover,
  .navbar-nav .open .dropdown-menu>li>a:focus {
    background-image: none;
  }
}

@media (min-width: 1024px) {
  .navbar-toggle {
    display: none;
  }

  .navbar-collapse.collapse {
    display: block !important;
    height: auto !important;
    padding-bottom: 0;
    overflow: visible !important;
  }

  .navbar-nav {
    /* float: left; */
    margin: 0;
  }

  .navbar-nav>li {
    /* float: left; */
  }

  .navbar-nav>li>a {
    padding-top: 15px;
    padding-bottom: 15px;
  }
}

@media only screen and (min-width: 1024px) {
  .navbar-nav>li.dropdown:not(.js-mega-item) {
    position: relative !important;
  }

  .navbar-nav>li.dropdown:not(.js-mega-item)>.dropdown-menu {
    position: absolute !important;
    top: 100% !important;
    left: 0 !important;
    right: auto !important;
  }


  html[lang='fa'] .navbar-nav>li.dropdown:not(.js-mega-item)>.dropdown-menu,
  html[lang='ar'] .navbar-nav>li.dropdown:not(.js-mega-item)>.dropdown-menu {
    right: 0 !important;
    left: auto !important;
  }

  .navbar-nav li.dropdown ul.dropdown-menu li.dropdown {
    position: relative;
  }

  .navbar-nav li.dropdown ul.dropdown-menu li.dropdown>.dropdown-menu {
    position: absolute;
    top: 0;
    left: 100%;
    width: fit-content;
    margin-top: 0;
    margin-left: 0;
    display: none !important;
  }

  .navbar-nav li.dropdown ul.dropdown-menu li.dropdown:hover>.dropdown-menu {
    display: block !important;
    opacity: 1 !important;
    visibility: visible !important;
  }

  html[dir='rtl'] .navbar-nav li.dropdown ul.dropdown-menu li.dropdown>.dropdown-menu {
    left: auto;
    right: 100%;
  }

  .navbar-nav li.dropdown ul.dropdown-menu li.dropdown>.dropdown-menu.dropdown-menu-right {
    left: auto;
    right: 100%;
  }

  .navbar-nav li.dropdown ul.dropdown-menu li.dropdown>.dropdown-menu {
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s ease;
  }

  .navbar-nav li.dropdown ul.dropdown-menu li.dropdown:hover>.dropdown-menu {
    opacity: 1;
    visibility: visible;
  }

  .dropdown-menu[style*='display: none'] {
    display: inherit !important;
  }

  .dropdown-menu .dropdown-menu {
    display: none !important;
  }

  .dropdown-menu .dropdown:hover>.dropdown-menu {
    display: block !important;
  }
}

@media only screen and (max-width: 1023px) {
  .navbar-nav .dropdown-menu {
    position: relative !important;
    display: none !important;
    top: auto !important;
    left: auto !important;
    right: auto !important;
    bottom: auto !important;
  }

  .navbar-nav .dropdown-menu.show {
    display: block !important;
  }

  .navbar-nav .dropdown-menu .dropdown-menu {
    position: relative !important;
    margin-left: 15px !important;
    top: auto !important;
    left: auto !important;
  }

  .navbar-nav .dropdown-toggle {
    cursor: pointer !important;
  }

  .navbar-nav .dropdown:hover .dropdown-menu {
    display: none !important;
  }

  .navbar-nav .dropdown:hover .dropdown-menu.show {
    display: block !important;
  }
}

ul.dropdown-menu li.dropdown-submenu a.dropdown-toggle span.caret {
  display: none;
}

.dropdown-menu {
  display: none;
}

.dropdown.open .dropdown-menu,
.dropdown.show .dropdown-menu {
  display: block;
}

@media only screen and (min-width: 1024px) {
  .dropdown:hover .dropdown-menu {
    display: block;
  }

  .dropdown .dropdown-menu {
    display: none;
  }

  .dropdown:hover .dropdown-menu {
    display: block;
  }
}

@media only screen and (max-width: 1023px) {
  .navbar-nav .dropdown-menu {
    position: static;
    float: none;
    width: 100%;
    margin-top: 0;
    background-color: transparent;
    border: 0;
    box-shadow: none;
    display: none;
  }

  .navbar-nav .dropdown-menu.show {
    display: block;
  }

  .navbar-nav .dropdown-menu .dropdown-menu {
    padding-left: 20px;
  }

  .navbar-nav .dropdown-toggle {
    pointer-events: auto;
    cursor: pointer;
  }
}